Orxonox: orxonox::NetworkMemberFunction< T > Class Template Reference

# orxonox::NetworkMemberFunction< T > Class Template Reference

`#include <src/network/NetworkFunction.h>`

Inheritance diagram for orxonox::NetworkMemberFunction< T >:

List of all members.

## Public Member Functions

void | call (uint32_t objectID, const MultiType &mt1, const MultiType &mt2, const MultiType &mt3, const MultiType &mt4, const MultiType &mt5)
void | call (uint32_t objectID, const MultiType &mt1, const MultiType &mt2, const MultiType &mt3, const MultiType &mt4)
void | call (uint32_t objectID, const MultiType &mt1, const MultiType &mt2, const MultiType &mt3)
void | call (uint32_t objectID, const MultiType &mt1, const MultiType &mt2)
void | call (uint32_t objectID, const MultiType &mt1)
void | call (uint32_t objectID)
| NetworkMemberFunction (FunctorMember< T > *functor, const std::string &name, const NetworkFunctionPointer &p)
| ~NetworkMemberFunction ()

## Private Attributes

FunctorMember< T > * | functor_

### template<class T>
class orxonox::NetworkMemberFunction< T >

## Constructor & Destructor Documentation

template<class T>

orxonox::NetworkMemberFunction< T >::NetworkMemberFunction | ( | FunctorMember< T > * | functor,
|  | const std::string & | name,
|  | const NetworkFunctionPointer & | p |
| ) |  |  | `[inline]`

template<class T>

orxonox::NetworkMemberFunction< T >::~NetworkMemberFunction | ( |  | ) | `[inline]`

References orxonox::NetworkMemberFunction< T >::functor_.

## Member Function Documentation

template<class T>

void orxonox::NetworkMemberFunction< T >::call | ( | uint32_t | objectID,
|  | const MultiType & | mt1,
|  | const MultiType & | mt2,
|  | const MultiType & | mt3,
|  | const MultiType & | mt4,
|  | const MultiType & | mt5 |
| ) |  |  | `[inline, virtual]`

Implements orxonox::NetworkMemberFunctionBase.

References orxonox::NetworkMemberFunction< T >::functor_, and orxonox::Synchronisable::getSynchronisable().

template<class T>

void orxonox::NetworkMemberFunction< T >::call | ( | uint32_t | objectID,
|  | const MultiType & | mt1,
|  | const MultiType & | mt2,
|  | const MultiType & | mt3,
|  | const MultiType & | mt4 |
| ) |  |  | `[inline, virtual]`

Implements orxonox::NetworkMemberFunctionBase.

References orxonox::NetworkMemberFunction< T >::functor_, and orxonox::Synchronisable::getSynchronisable().

template<class T>

void orxonox::NetworkMemberFunction< T >::call | ( | uint32_t | objectID,
|  | const MultiType & | mt1,
|  | const MultiType & | mt2,
|  | const MultiType & | mt3 |
| ) |  |  | `[inline, virtual]`

Implements orxonox::NetworkMemberFunctionBase.

References orxonox::NetworkMemberFunction< T >::functor_, and orxonox::Synchronisable::getSynchronisable().

template<class T>

void orxonox::NetworkMemberFunction< T >::call | ( | uint32_t | objectID,
|  | const MultiType & | mt1,
|  | const MultiType & | mt2 |
| ) |  |  | `[inline, virtual]`

Implements orxonox::NetworkMemberFunctionBase.

References orxonox::NetworkMemberFunction< T >::functor_, and orxonox::Synchronisable::getSynchronisable().

template<class T>

void orxonox::NetworkMemberFunction< T >::call | ( | uint32_t | objectID,
|  | const MultiType & | mt1 |
| ) |  |  | `[inline, virtual]`

Implements orxonox::NetworkMemberFunctionBase.

References orxonox::NetworkMemberFunction< T >::functor_, and orxonox::Synchronisable::getSynchronisable().

template<class T>

void orxonox::NetworkMemberFunction< T >::call | ( | uint32_t | objectID | ) | `[inline, virtual]`

Implements orxonox::NetworkMemberFunctionBase.

References orxonox::NetworkMemberFunction< T >::functor_, and orxonox::Synchronisable::getSynchronisable().

## Member Data Documentation

template<class T>

FunctorMember<T>* orxonox::NetworkMemberFunction< T >::functor_`[private]`

Referenced by orxonox::NetworkMemberFunction< T >::call(), and orxonox::NetworkMemberFunction< T >::~NetworkMemberFunction().

The documentation for this class was generated from the following file:

- src/network/NetworkFunction.h